Name:		libqca
Copyright:	GPL
Group:		Networking/Instant messaging
Summary:	QCA - Qt Cryptographic Architecture
Version:	1.0
Release:	alt2.1
Source:		qca-%version.tar.bz2

# Automatically added by buildreq on Mon Dec 13 2004
BuildRequires: gcc-c++ libqt3-devel libstdc++-devel xorg-x11-devel xorg-x11-libs

%description
This library provides an easy API for the following features: SSL/TLS,
X509, SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
    
Functionality is supplied via plugins.  This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin.  Also, by pushing crypto functionality into
plugins, your application is free of legal issues, such as export
regulation.

%description -l ru_RU.KOI8-R
    API  : SSL/TLS, X509,
SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)

    .  ,  
       
  ,     
 QCA     
-. ,      
 ,     ,
 , ,  .

%package devel
Summary: Header files for developing apps which will use Qt Crytographic Architecture (QCA)
Summary(ru_RU.KOI8-R): ,       Qt Crytographic Architecture (QCA)
Group: Development/C++
Requires: %name = %version-%release
Requires: glibc-devel

%description devel
This library provides an easy API for the following features: SSL/TLS,
X509, SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)

This package contains the header files needed to develop programs
that use QCA.

%description devel -l ru_RU.KOI8-R
    API  : SSL/TLS, X509,
SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)

    ,   
,  QCA.

%prep
%setup -q -n qca-%version
%ifarch x86_64
sed -i 's|\s*target.path\s*=.*|target.path=$PREFIX/%_lib|' qcextra
%endif


%build
export QTDIR=%_qt3dir QMAKESPEC="default"
./configure --prefix=%buildroot%prefix
%make

%install
%make install INSTALL_ROOT=%buildroot

%files
%_libdir/*
%doc README INSTALL COPYING TODO

%files devel
%_includedir/*

%changelog
* Fri Jan 27 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt2.1
- fix to build on x86_64

* Sun Dec 18 2005 Mikhail Yakshin <greycat@altlinux.org> 1.0-alt2
- Fixed x86_64 build problem

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 13 2004 Mikhail Yakshin <greycat@altlinux.ru> 1.0-alt1
- Initial release

